<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
  Copyright 2003 Sun Microsystems, Inc. All rights reserved
  Use is subject to license terms.
-->

<!DOCTYPE ServicesConfiguration
	PUBLIC "=//iPlanet//Service Management Services (SMS) 1.0 DTD//EN"
	"file:%IDSAME_BASEDIR%/SUNWam/dtd/sms.dtd">

<ServicesConfiguration>
<Service name="srapNetFileService" version="1.0">
	<Schema i18nFileName="srapNetFile" serviceHierarchy="/srap.configuration/srapNetFileService" i18nKey="sunPortalNetFileServiceDescription" propertiesViewBeanURL="%DYNAMIC_URI%/netfileadmin/NetFileTotalOne">
		<Global>
			<AttributeSchema name="serviceObjectClasses"
							type="list"
							syntax="string"
							i18nKey="">
				<DefaultValues>
					<Value>sunPortalNetFileService</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileApplicationName"
							 type="single"
							 syntax="string"
							 i18nKey="">
				<DefaultValues>
					<Value>NetFile</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileApplicationRelease"
							 type="single"
							 syntax="string"
							 i18nKey="">
				<DefaultValues>
					<Value>6</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileApplicationReleaseDate"
							 type="single"
							 syntax="string"
							 i18nKey="">
				<DefaultValues>
					<Value>2004Q2</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileCompanyName"
							 type="single"
							 syntax="string"
							 i18nKey="">
				<DefaultValues>
					<Value>Sun Microsystems Inc.</Value>
				</DefaultValues>
			</AttributeSchema>

		</Global>

		<Dynamic>

			<AttributeSchema name="sunPortalNetFileWindowSize"
							 type="single"
							 syntax="string"
							 cosQualifier="default"
							 any="display"
							 i18nKey="d01">
				<DefaultValues>
					<Value>700|400</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileWindowLocation"
							 type="single"
							 syntax="string"
							 cosQualifier="default"
							 any="display"
							 i18nKey="d02">
				<DefaultValues>
					<Value>100|50</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileMimetypesConfigFileLocation"
							 type="single"
							 syntax="string"
							 any="display"
							 i18nKey="d03">
				<DefaultValues>
					<Value>%PS_BASEDIR%/SUNWps/samples/config/netfile</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileDefaultDomain"
							 type="single"
							 syntax="string"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d04">
				<DefaultValues>
					<Value>INST_SERVER_DOMAIN</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileNTDomain"
							 type="single"
							 syntax="string"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d05">
				<DefaultValues>
					<Value></Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileWINSServer"
							 type="single"
							 syntax="string"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d06">
				<DefaultValues>
					<Value></Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAccessWin"
							 type="single"
							 syntax="boolean"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d07">
				<DefaultValues>
					<Value>true</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAccessFTP"
							 type="single"
							 syntax="boolean"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d08">
				<DefaultValues>
					<Value>true</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAccessNFS"
							 type="single"
							 syntax="boolean"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d09">
				<DefaultValues>
					<Value>true</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAccessNetware"
							 type="single"
							 syntax="boolean"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d10">
				<DefaultValues>
					<Value>true</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileHostDetectOrder"
							 type="single"
							 syntax="string"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d11">
				<DefaultValues>
<Value>WIN
NETWARE
FTP
NFS</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileOSCharSet"
							 type="single"
							 syntax="string"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d12">
				<DefaultValues>
					<Value>Unicode(UTF-8)</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileCommonHostData"
							 type="list"
							 syntax="string"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d13">
				<DefaultValues>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowedHostList"
							 type="list"
							 syntax="string"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d14">
				<DefaultValues>
					<Value>*</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileDeniedHostList"
							 type="list"
							 syntax="string"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d15">
				<DefaultValues>
					<Value></Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowDelete"
							 type="single"
							 syntax="boolean"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d16">
				<DefaultValues>
					<Value>true</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowRename"
							 type="single"
							 syntax="boolean"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d17">
				<DefaultValues>
					<Value>true</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowUpload"
							 type="single"
							 syntax="boolean"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d18">
				<DefaultValues>
					<Value>true</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowDownload"
							 type="single"
							 syntax="boolean"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d19">
				<DefaultValues>
					<Value>true</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowSearch"
							 type="single"
							 syntax="boolean"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d20">
				<DefaultValues>
					<Value>true</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowMail"
							 type="single"
							 syntax="boolean"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d21">
				<DefaultValues>
					<Value>true</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowCompression"
							 type="single"
							 syntax="boolean"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d22">
				<DefaultValues>
					<Value>true</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowChangeUserId"
							 type="single"
							 syntax="boolean"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d23">
				<DefaultValues>
					<Value>true</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowChangeDomain"
							 type="single"
							 syntax="boolean"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d24">
				<DefaultValues>
					<Value>true</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileTempDir"
							 type="single"
							 syntax="string"
							 cosQualifier="default"
							 any="adminDisplay"
							i18nKey="d25">
				<DefaultValues>
					<Value>/tmp</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileFileUploadLimit"
							 type="single"
							 syntax="decimal_number"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d26">
				<DefaultValues>
					<Value>5</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileMaxSearchDir"
							 type="single"
							 syntax="number"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d27">
				<DefaultValues>
					<Value>100</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileCompressionType"
							 type="single"
							 syntax="string"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d28">
				<DefaultValues>
					<Value>zip</Value>
				</DefaultValues>
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileCompressionLevel"
							 type="single"
							 syntax="number"
							 cosQualifier="default"
							 any="adminDisplay"
							 i18nKey="d29">
				<DefaultValues>
					<Value>6</Value>
				</DefaultValues>
			</AttributeSchema>

		</Dynamic>


		<Policy>
			<AttributeSchema name="sunPortalNetFileExecute"
							 type="single"
							 syntax="boolean"
							 any="display"
							 cosQualifier="default"
							 i18nKey="p1">
				<DefaultValues>
					<Value>true</Value>
				</DefaultValues>
			</AttributeSchema>
		</Policy>


		<User>
			<AttributeSchema name="sunPortalNetFileHostTypePassShare"
							 type="list"
							 syntax="string"
							 any="display"
							 i18nKey="">
			</AttributeSchema>

			<!-- Attributes duplicated from the dynamic section -->

			<AttributeSchema name="sunPortalNetFileWindowSize"
							 type="single"
							 syntax="string"
							 any="display"
							 i18nKey="d01">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileWindowLocation"
							 type="single"
							 syntax="string"
							 any="display"
							 i18nKey="d02">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileDefaultDomain"
							 type="single"
							 syntax="string"
							 any="adminDisplay"
							 i18nKey="d04">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileNTDomain"
							 type="single"
							 syntax="string"
							 any="adminDisplay"
							 i18nKey="d05">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileWINSServer"
							 type="single"
							 syntax="string"
							 any="adminDisplay"
							 i18nKey="d06">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAccessWin"
							 type="single"
							 syntax="boolean"
							 any="adminDisplay"
							 i18nKey="d07">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAccessFTP"
							 type="single"
							 syntax="boolean"
							 any="adminDisplay"
							 i18nKey="d08">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAccessNFS"
							 type="single"
							 syntax="boolean"
							 any="adminDisplay"
							 i18nKey="d09">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAccessNetware"
							 type="single"
							 syntax="boolean"
							 any="adminDisplay"
							 i18nKey="d10">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileHostDetectOrder"
							 type="single"
							 syntax="string"
							 any="adminDisplay"
							 i18nKey="d11">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileOSCharSet"
							 type="single"
							 syntax="string"
							 any="adminDisplay"
							 i18nKey="d12">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileCommonHostData"
							 type="list"
							 syntax="string"
							 any="adminDisplay"
							 i18nKey="d13">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowedHostList"
							 type="list"
							 syntax="string"
							 any="adminDisplay"
							 i18nKey="d14">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileDeniedHostList"
							 type="list"
							 syntax="string"
							 any="adminDisplay"
							 i18nKey="d15">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowDelete"
							 type="single"
							 syntax="boolean"
							 any="adminDisplay"
							 i18nKey="d16">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowRename"
							 type="single"
							 syntax="boolean"
							 any="adminDisplay"
							 i18nKey="d17">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowUpload"
							 type="single"
							 syntax="boolean"
							 any="adminDisplay"
							 i18nKey="d18">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowDownload"
							 type="single"
							 syntax="boolean"
							 any="adminDisplay"
							 i18nKey="d19">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowSearch"
							 type="single"
							 syntax="boolean"
							 any="adminDisplay"
							 i18nKey="d20">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowMail"
							 type="single"
							 syntax="boolean"
							 any="adminDisplay"
							 i18nKey="d21">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowCompression"
							 type="single"
							 syntax="boolean"
							 any="adminDisplay"
							 i18nKey="d22">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowChangeUserId"
							 type="single"
							 syntax="boolean"
							 any="adminDisplay"
							 i18nKey="d23">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileAllowChangeDomain"
							 type="single"
							 syntax="boolean"
							 any="adminDisplay"
							 i18nKey="d24">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileTempDir"
							 type="single"
							 syntax="string"
							 any="adminDisplay"
							i18nKey="d25">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileFileUploadLimit"
							 type="single"
							 syntax="decimal_number"
							 any="adminDisplay"
							 i18nKey="d26">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileMaxSearchDir"
							 type="single"
							 syntax="number"
							 any="adminDisplay"
							 i18nKey="d27">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileCompressionType"
							 type="single"
							 syntax="string"
							 any="adminDisplay"
							 i18nKey="d28">
			</AttributeSchema>

			<AttributeSchema name="sunPortalNetFileCompressionLevel"
							 type="single"
							 syntax="number"
							 any="adminDisplay"
							 i18nKey="d29">
			</AttributeSchema>
			<AttributeSchema name="sunPortalNetFileMimetypesConfigFileLocation"
							 type="single"
							 syntax="string"
							 any="adminDisplay"
							 i18nKey="d03">
			</AttributeSchema>
		</User>

	</Schema>

</Service>

</ServicesConfiguration>

